Retrieves all the user week approval

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "5ca5e25e-9b27-4f71-a72e-29a92c1c381d",
  "user_id": "314ab79a-f874-4bfa-bca8-6697914a40f5",
  "approved_date_start": "2026-11-02T02:40:29.6971445+00:00",
  "approved_date_end": "2026-11-02T02:40:29.6971445+00:00",
  "date_approval": "2026-11-02T02:40:29.6971445+00:00",
  "is_approved": true,
  "approved_by_user_id": "6b6ed7b2-299f-42d2-a042-acabd5d81eb1",
  "modified_dateutc": "2026-11-02T02:40:29.6971445+00:00"
}